be.fgov.ehealth.certra.protocol.v2

## Class GetCertificateRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.certra.protocol.v2.GetCertificateRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:49:08+02:00",
                 comments="JAXB RI v2.3.7")
      public class GetCertificateRequest
      extends RequestType
      implements Serializable

  Request type used to obtain the eHealth authentication certificate by its identifier. This operation will only return the certificate once it has been delivered by the Certificate Authority.

  Java class for GetCertificateRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetCertificateRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element name="PublicKeyIdentifier" type="{urn:be:fgov:ehealth:etee:commons:core:v2}PublicKeyIdentifier"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetCertificateRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getPublicKeyIdentifier()` Gets the value of the publicKeyIdentifier property.
    `void` | `setPublicKeyIdentifier(byte[] value)` Sets the value of the publicKeyIdentifier property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetCertificateRequest

          public GetCertificateRequest()

  - ### Method Detail

    - #### getPublicKeyIdentifier

          public byte[] getPublicKeyIdentifier()

      Gets the value of the publicKeyIdentifier property.
      Returns:
        possible object is `String`

    - #### setPublicKeyIdentifier

          public void setPublicKeyIdentifier(byte[] value)

      Sets the value of the publicKeyIdentifier property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.